# Uses of Interface
org.springframework.cglib.proxy.InvocationHandler

Packages that use InvocationHandler
Package
Description
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).

## Uses of InvocationHandler in org.springframework.cglib.proxy

Fields in org.springframework.cglib.proxy declared as InvocationHandler
Modifier and Type
Field
Description
`protected InvocationHandler`
Proxy.`h`
Methods in org.springframework.cglib.proxy that return InvocationHandler
Modifier and Type
Method
Description
`static InvocationHandler`
Proxy.`getInvocationHandler(Object proxy)`
Methods in org.springframework.cglib.proxy with parameters of type InvocationHandler
Modifier and Type
Method
Description
`static Object`
Proxy.`newProxyInstance(ClassLoader loader, Class[] interfaces, InvocationHandler h)`
Constructors in org.springframework.cglib.proxy with parameters of type InvocationHandler
Modifier
Constructor
Description
`protected`
`Proxy(InvocationHandler h)`